
/**
 * @imports
 */
import _each from '@web-native-js/commons/obj/each.js';

/**
 * Helper method: parses a CSS string into an associative array.
 *
 * @param string	 	css
 *
 * @return object
 */
export default function(css) {
	var split = {};
	_each(css.split(';'), (i, rule) => {
		rule = rule.split(':');
		split[rule[0].trim()] = rule[1].trim();
	});
	return split;
};
