
/**
 * @imports
 */
import _fromCamel from '@web-native-js/commons/str/fromCamel.js';

/**
 * Returns preset easing functions from CSS variables.
 *
 * @param string 	name
 *
 * @return string|NULL
 */
export default function(name) {
	var name = !name.indexOf('-') ? _fromCamel(name, '-') : name;
	return window.getComputedStyle(document.body).getPropertyValue('--' + name);
};
