
/**
 * @imports
 */
import _isUndefined from '@web-native-js/commons/js/isUndefined.js';

/**
 * Appends new content.
 *
 * @param string 				content
 *
 * @return HTMLElement
 */
export default function(el, content) {
	el.append(_isUndefined(content) ? '' : content); 
	return el; 
};
