
/**
 * @imports
 */
import Reflow from '../Reflow.js';
import domAttr from './attr.js';

/**
 * The async type of domAttr().
 *
 * @see domAttr()
 *
 * @return Promise
 */
export default function(el, requestOrPayload, valOrMutation = null, subValMutation = null) {
	if (arguments.length === 2) {
		return Reflow.onwrite((resolve, reject) => {
			try {
				resolve(domAttr(...arguments));
			} catch(e) {
				reject(e);
			}
		}, true/*withPromise*/);
	}
	return Reflow.onread((resolve, reject) => {
		try {
			resolve(domAttr(...arguments));
		} catch(e) {
			reject(e);
		}
	}, true/*withPromise*/);
};
