
/**
 * @imports
 */
import Reflow from '../Reflow.js';
import domHtml from './html.js';

/**
 * The async type of domHtml().
 *
 * @see domHtml()
 *
 * @return Promise
 */
export default function(el, write = null) {
	if (arguments.length > 1) {
		return Reflow.onwrite((resolve, reject) => {
			try {
				resolve(domHtml(...arguments));
			} catch(e) {
				reject(e);
			}
		}, true/*withPromise*/);
	}
	return Reflow.onread((resolve, reject) => {
		try {
			resolve(domHtml(...arguments));
		} catch(e) {
			reject(e);
		}
	}, true/*withPromise*/);
};
