
/**
 * Tells if an element is scrollable due to overflowing content.
 *
 * @param DOMNode		el
 *
 * @return bool
 */
export default function(el) {
	return el === window 
		? (el.pageYOffset || el.pageYOffset) 
		: (el.scrollHeight > el.clientHeight);
};
