
/**
 * @imports
 */
import {Jsen} from '@web-native-js/chtml';
import {Reflex} from '@web-native-js/chtml';
import * as Routing from '../src/app/routing/index.js';
import * as Form from '../src/app/form/index.js';
import * as Ui from '../src/app/ui/index.js';
import Chtml from './chtml/Chtml.js';
import Registry from './Registry.js';
import params from './params.js';

Registry.set('router', Routing.Router, true);

/**
 * @exports
 */
export {
	Jsen,
	Reflex,
	Routing,
	Form,
	Ui,
	Chtml,
	Registry,
	params,
};
