
/**
 * Sums a list of Mathematical expressions.
 *
 * @param array				 	modifiers
 * @param number 				percentageContext
 *
 * @return number
 */
export default function(modifiers, percentageContext) {
	return modifiers.reduce((total, modifier) => total + (modifier.endsWith('%') 
		? parseFloat(modifier) / 100 * percentageContext
		: parseFloat(modifier)
	), 0);
};
