
/**
 * Parses a directive to obtain a placement keyword and modifiers.
 *
 * @param string			 	expr
 *
 * @return object
 */
export default function(expr) {
	var regPlacement = new RegExp('(before|after|start|end|center)', 'g');
	var regModifiers = new RegExp('[\-\+][0-9]+(%)?', 'g');
	return {
		keyword: (expr.match(regPlacement) || [])[0],
		predicates: expr.match(regModifiers),
	};
};
