
/**
 * @imports
 */
import cssRead from '../Css/read.js';

/**
 * Parses the total width of the element's vertical borders.
 *
 * @param DOMElement 		el
 *
 * @return int
 */
export default function(el) {
	var borderWidth = 0;
	borderWidth += parseInt(cssRead(el, 'border-left-width'));
	borderWidth += parseInt(cssRead(el, 'border-right-width'));
	return borderWidth;
};
